# Gimp.ColorProfile.new_linear_from_color_profile

    @accepts(Gimp.ColorProfile)
    @returns(Gimp.ColorProfile)
    def new_linear_from_color_profile(self):
        # Python wrapper for gimp_color_profile_new_linear_from_color_profile()

This function creates a new RGB Gimp.ColorProfile with a linear TRC and self's RGB chromacities and whitepoint.

Since 2.10

self

  a Gimp.ColorProfile

Returns